Datasets - Get Direct Query Refresh Schedule
Returns the refresh schedule for a specified DirectQuery or LiveConnection semantic model. The semantic model can reside in My workspace or another workspace, provided the caller has the required permissions.
Required Scope
Dataset.ReadWrite.All or Dataset.Read.All
GET https://api.powerbi.com/v1.0/myorg/datasets/{datasetId}/directQueryRefreshSchedule
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
dataset
|
path | True |
string |
The dataset ID |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Examples
| Days and times schedule example |
| Frequency schedule example |
Days and times schedule example
Sample request
GET https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229/directQueryRefreshSchedule
Sample response
{
"days": [
"Sunday",
"Friday",
"Saturday"
],
"times": [
"05:00",
"11:30",
"17:30",
"23:00"
],
"localTimeZoneId": "UTC"
}
Frequency schedule example
Sample request
GET https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229/directQueryRefreshSchedule
Sample response
{
"frequency": 15,
"days": [],
"times": [],
"localTimeZoneId": "UTC"
}
Definitions
| Name | Description |
|---|---|
| days |
The days on which to execute the refresh |
|
Direct |
A Power BI refresh schedule for DirectQuery or LiveConnection, specifying either the frequency or a combination of days and times. |
days
The days on which to execute the refresh
| Value | Description |
|---|---|
| Monday | |
| Tuesday | |
| Wednesday | |
| Thursday | |
| Friday | |
| Saturday | |
| Sunday |
DirectQueryRefreshSchedule
A Power BI refresh schedule for DirectQuery or LiveConnection, specifying either the frequency or a combination of days and times.
| Name | Type | Description |
|---|---|---|
| days |
days[] |
The days on which to execute the refresh |
| frequency |
integer |
The interval in minutes between successive refreshes. Supported values are 15, 30, 60, 120, and 180. |
| localTimeZoneId |
string |
The ID of the time zone to use. For more information, see Time zone info |
| times |
string[] |
The times of day to execute the refresh |